﻿@* DXCOMMENT: Configure GridView *@
@using DevExpress.Web.Mvc;
@using DevExpress.Web.Mvc.UI;
@using System.Web.UI.WebControls;

@*
<div class="content">
    <fieldset>
        <table style="width: 100%">
            <tr style="height:30px">
                <td>
                    @Html.DevExpress().Button(edtSetting =>
                        {
                            edtSetting.Name = "cmdPrintKaban";
                            edtSetting.Width = 80;
                            edtSetting.Text = "Print";
                            edtSetting.ClientSideEvents.Click = "OnPrintKanban";
                            edtSetting.Style.Add("display", "inline-table");
                            edtSetting.UseSubmitBehavior = true;
                            //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartReceivingInquiry", "FTR-SPEX-177-01", "SEARCH");
                        }).GetHtml()
                </td>
                <td>                                   
                   
                    @Html.DevExpress().ComboBox(
                    settings =>
                    {  
                        settings.Name = "I_PRINT_KANBAN_2";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Width = 160;
                        settings.SelectedIndex = -1;
                        settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                        settings.Properties.TextFormatString = "{0}";
                        settings.Properties.ValueType = typeof(string);
                        settings.Properties.ValueField = "SYSTEM_CD";
                        settings.Properties.TextField = "SYSTEM_VALUE";
                    }).BindList(ViewData["PRINTER_FLAG"]).GetHtml()   
                               
                </td> 
                </tr>
            </table>
        </fieldset>
    </div>
*@

@Html.DevExpress().GridView(
    settings =>
    {
        settings.Name = "Gv_PickingListInquiryKanban";
        settings.KeyFieldName = " MANIFEST_NO; PART_NO; KANBAN_ID";
        settings.CallbackRouteValues = new { Controller = "PickingListInquiry", Action = "_PopUpLogKanban" };
        settings.Width = System.Web.UI.WebControls.Unit.Percentage(100);
        settings.ControlStyle.Paddings.Padding = System.Web.UI.WebControls.Unit.Pixel(0);
        settings.ControlStyle.Border.BorderWidth = System.Web.UI.WebControls.Unit.Pixel(0);
        settings.ControlStyle.BorderBottom.BorderWidth = System.Web.UI.WebControls.Unit.Pixel(1);

         //DIGUNAKAN UNTUK PEMANGGILAN SEARCH DATA
        settings.ClientSideEvents.BeginCallback = "OnBeginCallBackPopupKanban";
        settings.ClientSideEvents.EndCallback = "OnEndCallbackKanbanGrid";                       
                
        settings.CommandColumn.Visible = true;
        settings.CommandColumn.Width = System.Web.UI.WebControls.Unit.Pixel(30);
        settings.CommandColumn.ShowSelectCheckbox = true; 
        settings.ClientSideEvents.SelectionChanged = "Gv_PickingListInquiryKanban_SelectionChanged";
        
        
        settings.SettingsEditing.Mode = GridViewEditingMode.Inline;      
        
        settings.SettingsPager.Visible = true;
        settings.Settings.ShowFilterRowMenu = false;
        settings.Settings.ShowFilterRow = false;
        
        settings.SettingsPager.FirstPageButton.Visible = true;
        settings.SettingsPager.LastPageButton.Visible = true;
        settings.SettingsPager.ShowNumericButtons = true;
        settings.SettingsPager.Position = System.Web.UI.WebControls.PagerPosition.Bottom;
        settings.SettingsPager.PageSizeItemSettings.Visible = true;
        settings.SettingsPager.PageSizeItemSettings.Items = new string[] { "5", "10", "15", "30", "50", "100" };
        settings.SettingsPager.PageSize = 15;
        settings.SettingsPager.PageSizeItemSettings.Caption = "View per page";
                
        settings.Settings.VerticalScrollBarMode = ScrollBarMode.Auto;
        settings.Settings.HorizontalScrollBarMode = ScrollBarMode.Auto;
        settings.Settings.VerticalScrollableHeight = 360;              
        settings.Width = 650;

        settings.CommandColumn.SetHeaderTemplateContent(c =>
        {
            if (c.Column.VisibleIndex == 0)
            {
                Html.DevExpress().CheckBox(
                    chckBox =>
                    {
                        chckBox.Name = "chckBoxKanban";
                        chckBox.Properties.ClientSideEvents.CheckedChanged = "function(s, e){ Gv_PickingListInquiryKanban.SelectAllRowsOnPage(chckBoxKanban.GetChecked());}";
                    }
                ).Render();
            }

        });
        

    settings.Columns.Add(
    column =>
    {
        column.FieldName = "MANIFEST_NO";
        column.Name = "MANIFEST_NO";
        column.Caption = "Picking No";
        column.CellStyle.Wrap = DefaultBoolean.True;
        column.ColumnType = MVCxGridViewColumnType.TextBox;
        column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
        column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.Width = Unit.Pixel(100);
        TextBoxProperties propertiestextBox = column.PropertiesEdit as TextBoxProperties;

    });
    settings.Columns.Add(
    column =>
    {
        column.FieldName = "MANIFEST_ITEM_NO";
        column.Name = "MANIFEST_ITEM_NO";
        column.Caption = "Picking Item No";
        column.CellStyle.Wrap = DefaultBoolean.True;
        column.ColumnType = MVCxGridViewColumnType.TextBox;
        column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
        column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.Width = Unit.Pixel(100);
        TextBoxProperties propertiestextBox = column.PropertiesEdit as TextBoxProperties;

    });

    settings.Columns.Add(
    column =>
    {
        column.FieldName = "PART_NO";
        column.Name = "PART_NO";
        column.Caption = "Part No";
        column.CellStyle.Wrap = DefaultBoolean.True;
        column.ColumnType = MVCxGridViewColumnType.TextBox;
        column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
        column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.Width = Unit.Pixel(120);

    });

    settings.Columns.Add(
    column =>
    {
        column.FieldName = "KANBAN_ID";
        column.Name = "KANBAN_ID";
        column.Caption = "Kanban ID";
        column.CellStyle.Wrap = DefaultBoolean.True;
        column.ColumnType = MVCxGridViewColumnType.TextBox;
        column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
        column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.Width = Unit.Pixel(200);

    });
        
    settings.Columns.Add(
    column =>
    {
        column.FieldName = "PICKING_FLAG_STATUS";
        column.Name = "PICKING_FLAG_STATUS";
        column.Caption = "Status";
        column.CellStyle.Wrap = DefaultBoolean.True;
        column.ColumnType = MVCxGridViewColumnType.TextBox;
        column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
        column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        column.Width = Unit.Pixel(100);

    });   
        
        
    }).Bind(Model).GetHtml()